Loading...
Searching...
No Matches
sched_policy.h File Reference
`#include <starpu.h>`
`#include <signal.h>`
`#include <core/workers.h>`
`#include <core/sched_ctx.h>`
`#include <starpu_scheduler.h>`
`#include <core/simgrid.h>`

Go to the source code of this file.

## Macros

#define | _STARPU_SCHED_BEGIN
#define | _STARPU_SCHED_END
#define | _STARPU_TASK_BREAK_ON(task, what)

## Functions

void | _starpu_sched_init (void)
struct starpu_sched_policy * | _starpu_get_sched_policy (struct _starpu_sched_ctx *sched_ctx)
void | _starpu_init_sched_policy (struct _starpu_machine_config *config, struct _starpu_sched_ctx *sched_ctx, struct starpu_sched_policy *policy)
void | _starpu_deinit_sched_policy (struct _starpu_sched_ctx *sched_ctx)
struct starpu_sched_policy * | _starpu_select_sched_policy (struct _starpu_machine_config *config, const char *required_policy)
void | _starpu_sched_task_submit (struct starpu_task *task)
void | _starpu_sched_do_schedule (unsigned sched_ctx_id)
int | _starpu_push_task (struct _starpu_job *task)
int | _starpu_repush_task (struct _starpu_job *task)
int | _starpu_push_task_to_workers (struct starpu_task *task)
struct starpu_task * | _starpu_pop_task (struct _starpu_worker *worker)
void | _starpu_sched_post_exec_hook (struct starpu_task *task)
int | _starpu_pop_task_end (struct starpu_task *task)
struct starpu_task * | _starpu_create_conversion_task (starpu_data_handle_t handle, unsigned int node) STARPU_ATTRIBUTE_MALLOC
struct starpu_task * | _starpu_create_conversion_task_for_arch (starpu_data_handle_t handle, enum starpu_node_kind node_kind) STARPU_ATTRIBUTE_MALLOC
void | _starpu_sched_pre_exec_hook (struct starpu_task *task)
void | _starpu_print_idle_time ()

## Variables

struct starpu_sched_policy | _starpu_sched_lws_policy
struct starpu_sched_policy | _starpu_sched_ws_policy
struct starpu_sched_policy | _starpu_sched_prio_policy
struct starpu_sched_policy | _starpu_sched_random_policy
struct starpu_sched_policy | _starpu_sched_dm_policy
struct starpu_sched_policy _starpu_sched_dmda_policy | STARPU_ATTRIBUTE_VISIBILITY_DEFAULT
struct starpu_sched_policy | _starpu_sched_dmda_prio_policy
struct starpu_sched_policy | _starpu_sched_dmda_ready_policy
struct starpu_sched_policy | _starpu_sched_dmda_sorted_policy
struct starpu_sched_policy | _starpu_sched_dmda_sorted_decision_policy
struct starpu_sched_policy | _starpu_sched_eager_policy
struct starpu_sched_policy | _starpu_sched_peager_policy
struct starpu_sched_policy | _starpu_sched_heteroprio_policy
struct starpu_sched_policy | _starpu_sched_modular_eager_policy
struct starpu_sched_policy | _starpu_sched_modular_eager_prefetching_policy
struct starpu_sched_policy | _starpu_sched_modular_eager_prio_policy
struct starpu_sched_policy | _starpu_sched_modular_gemm_policy
struct starpu_sched_policy | _starpu_sched_modular_prio_policy
struct starpu_sched_policy | _starpu_sched_modular_prio_prefetching_policy
struct starpu_sched_policy | _starpu_sched_modular_random_policy
struct starpu_sched_policy | _starpu_sched_modular_random_prio_policy
struct starpu_sched_policy | _starpu_sched_modular_random_prefetching_policy
struct starpu_sched_policy | _starpu_sched_modular_random_prio_prefetching_policy
struct starpu_sched_policy | _starpu_sched_modular_parallel_random_policy
struct starpu_sched_policy | _starpu_sched_modular_parallel_random_prio_policy
struct starpu_sched_policy | _starpu_sched_modular_ws_policy
struct starpu_sched_policy | _starpu_sched_modular_dmda_policy
struct starpu_sched_policy | _starpu_sched_modular_dmdap_policy
struct starpu_sched_policy | _starpu_sched_modular_dmdar_policy
struct starpu_sched_policy | _starpu_sched_modular_dmdas_policy
struct starpu_sched_policy | _starpu_sched_modular_heft_policy
struct starpu_sched_policy | _starpu_sched_modular_heft_prio_policy
struct starpu_sched_policy | _starpu_sched_modular_heft2_policy
struct starpu_sched_policy | _starpu_sched_modular_heteroprio_policy
struct starpu_sched_policy | _starpu_sched_modular_heteroprio_heft_policy
struct starpu_sched_policy | _starpu_sched_modular_parallel_heft_policy
struct starpu_sched_policy | _starpu_sched_graph_test_policy
struct starpu_sched_policy | _starpu_sched_tree_heft_hierarchical_policy
long | _starpu_task_break_on_push
long | _starpu_task_break_on_sched
long | _starpu_task_break_on_pop
long | _starpu_task_break_on_exec

## Function Documentation

## _starpu_push_task_to_workers()

int _starpu_push_task_to_workers | ( | struct starpu_task * | task | ) |

actually pushes the tasks to the specific worker or to the scheduler

## _starpu_pop_task()

struct starpu_task * _starpu_pop_task | ( | struct _starpu_worker * | worker | ) |

pop a task that can be executed on the worker